Component Compatibility with Cardano NodeΒΆ

This Cardano components compatibility matrix shows the runtime Cardano component dependencies on a particular version of cardano-node. (It does not reflect any stacks.) The compatibility matrix should be read in conjunction with the Cardano component dependencies definition.

Please note that node version 1.24.2 is the only node version that will work following the token locking Cardano update.

Cardano Node Cardano DB Sync Smash Cardano Rest Cardano GraphQL Cardano Explorer Cardano Wallet
1.25.1 8.0.0, 9.0.0 1.4.0 3.1.2 3.2.0 1.4.0 2021.02.12, 2021.02.15
1.24.2 7.1.0 1.3.0 3.1.1 3.1.1 1.2.1 2020.12.21, 2020.01.12
1.21.1 5.0.2, 5.0.3, 6.0.0 1.2.0 2.2.1 2020.10.13
1.20.0 5.0.1, 5.0.3 2.2.0 1.2.0 2020.9.22, 2020.9.30
1.19.1 5.0.0, 5.0.1, 5.0.3 2.1.0 1.1.0 2020.9.11
1.19.0 1.1.0
1.18.0 4.0.0
1.18.0 3.1.0 1.0.1 2.1.3 2.0.0 1.0.1 2020.8.3

The following diagram outlines the various component dependencies:

component dependencies